package org.greenstone.gsdl3.gs3build.util;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class GS3SQLConnectionFactory
{
    public static Connection reconnect(String database)
    {
	try {
	    Class.forName("com.mysql.jdbc.Driver").newInstance();
	    
	    Connection connection = DriverManager.getConnection("jdbc:mysql://localhost/"+database+"?user=gsdl3admin"/*&password=greenstone"*/);
	    return connection;
	}
	catch (SQLException sqlEx)
	    {	System.out.println(sqlEx.toString());
	    }
	catch (Exception ex)
	    {	System.out.println(ex.toString());
		return null;
	    }
	return null;
    }
    
    public static GS3SQLConnection /*GS3SQLConnection*/ createConnection(String database)
    {	
	try
	    {	Class.forName("com.mysql.jdbc.Driver").newInstance();
	     
	        Connection connection = DriverManager.getConnection("jdbc:mysql://localhost/"+database+"?user=gsdl3admin"/*&password=greenstone"*/);
		return new GS3SQLConnection(connection);
	    }
	catch (SQLException sqlEx)
	    {	System.out.println(sqlEx.toString());
	    }
	catch (Exception ex)
	    {	System.out.println(ex.toString());
		return null;
	    }
	return null;
    }

    public static GS3SQLConnection createConnection()
    { return createConnection("test");
    }

    public static void main(String args[])
    { GS3SQLConnection connection = createConnection();
    connection.initCollection("maya");
    }
}
